<?php
/**
*
* @package First Topic [pic] on Forum Index / 4seven / 2010	
* @version $Id: thumb_resize.php 2356 2010-03-31 00:02:12Z 4seven $
* @copyright (c) 4seven / 2010
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (function_exists('exif_imagetype')){

class simpleresize {
   
   var $image;
   var $image_type;

   function load($filename) {
   
      $this->image_type = exif_imagetype($filename);
	  
      if( $this->image_type == 2 ) {
         $this->image = imagecreatefromjpeg($filename);
      }	elseif( $this->image_type == 3 ) {
         $this->image = imagecreatefrompng($filename);
      } elseif( $this->image_type == 1 ) {
         $this->image = imagecreatefromgif($filename);
      }
   }
   function save($filename, $image_type=2, $permissions=null) {
      if( $image_type == 2 ) {
         imagejpeg($this->image,$filename,100);
      } elseif( $image_type == 3 ) {
         imagepng($this->image,$filename,0);	 
      } elseif( $image_type == 1 ) {
         imagegif($this->image,$filename);         
      }   
      if( $permissions != null) {
         chmod($filename,$permissions);
      }	  
	  imagedestroy($this->image);  
   }

   function getWidth() {
      return imagesx($this->image);
   }
   function getHeight() {
      return imagesy($this->image);
   }
   function resizeToHeight($height) {
      $ratio = $height / $this->getHeight();
      $width = $this->getWidth() * $ratio;
      $this->resize($width,$height);
   }
   function resizeToWidth($width) {
      $ratio = $width / $this->getWidth();
      $height = $this->getheight() * $ratio;
      $this->resize($width,$height);
   }
   function resize($width,$height) {
      $new_image = imagecreatetruecolor($width, $height);  
      imagecopyresampled($new_image, $this->image, 0, 0, 0, 0, $width, $height, $this->getWidth(), $this->getHeight());
      $this->image = $new_image; 
   } 
}

}

else{

class simpleresize {
   
   var $image;
   var $image_type;
 
   function load($filename) {
      $image_info = getimagesize($filename);
      $this->image_type = $image_info[2];
      if( $this->image_type == IMAGETYPE_JPEG ) {
         $this->image = imagecreatefromjpeg($filename);
	  } elseif( $this->image_type == IMAGETYPE_PNG ) {
         $this->image = imagecreatefrompng($filename);
      } elseif( $this->image_type == IMAGETYPE_GIF ) {
         $this->image = imagecreatefromgif($filename);
      }
   }
   function save($filename, $image_type=IMAGETYPE_JPEG, $permissions=null) {
      if( $image_type == IMAGETYPE_JPEG ) {
         imagejpeg($this->image,$filename,100);
      } elseif( $image_type == IMAGETYPE_PNG ) {
         imagepng($this->image,$filename,0);
      } elseif( $image_type == IMAGETYPE_GIF ) {
         imagegif($this->image,$filename);         
      }   
      if( $permissions != null) {
         chmod($filename,$permissions);
      }	  
	  imagedestroy($this->image);  
   }
   function getWidth() {
      return imagesx($this->image);
   }
   function getHeight() {
      return imagesy($this->image);
   }
   function resizeToHeight($height) {
      $ratio = $height / $this->getHeight();
      $width = $this->getWidth() * $ratio;
      $this->resize($width,$height);
   }
   function resizeToWidth($width) {
      $ratio = $width / $this->getWidth();
      $height = $this->getheight() * $ratio;
      $this->resize($width,$height);
   }
   function resize($width,$height) {
      $new_image = imagecreatetruecolor($width, $height);  
      imagecopyresampled($new_image, $this->image, 0, 0, 0, 0, $width, $height, $this->getWidth(), $this->getHeight());
      $this->image = $new_image; 
   } 
}

}

?>